콘텐츠로 건너뛰기

T2V Turbo - Video Crafter

통합

모델 id t2v-turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/t2v-turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.024 24 API 크레딧 이 페이지에서 실행

API 키 받기
Open model 텍스트를 동영상으로 빠름 #turbo

프롬프트에서 빠르게 텍스트-동영상을 생성하며 16~32 프레임과 조정 가능한 내보내기 fps를 지원

Open model · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지 생성의 기반으로 사용할 프롬프트입니다.

기본값 16

생성할 총 프레임 수입니다.

고급 num_inference_steps · guidance_scale · export_fps · seed · enable_safety_checker
기본값 4

샘플링 단계 수입니다.

기본값 7.5

가이던스 스케일 값입니다.

기본값 8

내보낼 동영상의 프레임 레이트(FPS)입니다.

난수 생성에 사용할 시드 값입니다.

POST /run/t2v-turbo?wait=20 견적 → $0.024
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/t2v-turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

T2V Turbo - Video Crafter 정보

몇 단계의 샘플러를 사용해 `prompt`에서 짧은 클립을 생성하며, `num_inference_steps`의 기본값은 4(최대 30)입니다. `num_frames`는 16~32, `export_fps`는 1~24입니다. `guidance_scale`은 0.1~30이고 `seed`는 0~203279입니다.

매개변수

이름유형 기본값허용됨 설명
prompt필수
유형string
이미지 생성의 기반으로 사용할 프롬프트입니다.
seed선택 사항
유형integer | null
0 – 203,279
난수 생성에 사용할 시드 값입니다.
num_inference_steps선택 사항
유형integer
기본값4
1 – 30
샘플링 단계 수입니다.
guidance_scale선택 사항
유형number
기본값7.5
0.1 – 30
가이던스 스케일 값입니다.
num_frames선택 사항
유형integer
기본값16
16 – 32
생성할 총 프레임 수입니다.
export_fps선택 사항
유형integer
기본값8
1 – 24
내보낼 동영상의 프레임 레이트(FPS)입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "t2v-turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 24,
    "usd": "0.024",
    "charged": 24,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}생성된 동영상을 가리키는 URL입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/t2v-turbo.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt